Get live activity
GET
/v1/cockpit
const url = 'https://developers.waalaxy.ai/v1/cockpit';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://developers.waalaxy.ai/v1/cockpit \ --header 'Authorization: Bearer <token>'Get the live activity of the workspace: running agents, queues and pending actions
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Success
Media typeapplication/json
object
status
required
string
data
required
object
live
required
object
runningAgents
required
integer
linkedinAccounts
required
integer
invitationsInQueue
required
integer
messagesInQueue
required
integer
actions
required
Array<object>
object
key
required
string
count
required
integer
destination
required
label
required
string
message
required
string
nature
required
string
ignore
required
null
Example
{ "status": "success", "data": { "actions": [ { "key": "linkedin_account_disconnected", "destination": { "kind": "route" }, "nature": "action" } ] }}Error, see Errors and rate limits
Media typeapplication/json
object
status
required
string
error
required
object
message
required
string
code
string
requestId
string
Example
{ "status": "error"}